- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# logentries – Module for tracking logs via logentries.com

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Sends logs to LogEntries in realtime

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
logtype - |  | type of the log
name - |  | name of the log
path - / required |  | path to a log file
state - | Choices: present ← absent | following state of the log

## Notes

Note

- Requires the LogEntries agent which can be installed following the instructions at logentries.com

## Examples

    # Track nginx logs
    - logentries:
        path: /var/log/nginx/access.log
        state: present
        name: nginx-access-log

    # Stop tracking nginx logs
    - logentries:
        path: /var/log/nginx/error.log
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ivan Vanderbyl (@ivanvanderbyl)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.